Skip to main content
GET
Get a technical installation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "sites": Adds sites (the active sites this installation is present on).
  • "actions-info": Projects { canBeUpdated, canBeArchived, canBeUnarchived, canBeDeleted }.
  • "updatable-fields": Per-field write rules for this installation in its current state.
  • "library-technical-installation": Adds libraryTechnicalInstallation (the library entry this installation was adopted from, for grouping instances by type).
  • "responsibles": Adds responsibles - the users responsible for this element.
Available options:
sites,
actions-info,
updatable-fields,
library-technical-installation,
responsibles
whereUnitIds
string<uuid>[]

Narrow linked technical installations to the requested unit ids.

Maximum array length: 250
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
whereITIds
string<uuid>[]

Narrow the result to the requested technical installation ids.

Maximum array length: 250
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ref
string
required
Maximum string length: 40
Pattern: ^[A-Z]+-[1-9]\d*(?:-[A-Z]+-[1-9]\d*)*$
name
string
required
Required string length: 1 - 150
nameTranslations
object | null
required
image
object | null
required
libraryTechnicalInstallationId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
libraryVersion
integer | null
required
Required range: 0 < x <= 9007199254740991
archivedAt
string<date-time> | null
required
deletedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
sites
object[]
actions
object
updatableFields
object
libraryTechnicalInstallation
object | null
responsibles
object[]